[toolchain]: replace gcc 4.5.2 support with 4.6.1
[openwrt/svn-archive/archive.git] / toolchain / gcc / patches / 4.6.1 / 301-missing-execinfo_h.patch
1 --- a/boehm-gc/include/gc.h
2 +++ b/boehm-gc/include/gc.h
3 @@ -503,7 +503,7 @@ GC_API GC_PTR GC_malloc_atomic_ignore_of
4 #if defined(__linux__) || defined(__GLIBC__)
5 # include <features.h>
6 # if (__GLIBC__ == 2 && __GLIBC_MINOR__ >= 1 || __GLIBC__ > 2) \
7 - && !defined(__ia64__)
8 + && !defined(__ia64__) && !defined(__UCLIBC__)
9 # ifndef GC_HAVE_BUILTIN_BACKTRACE
10 # define GC_HAVE_BUILTIN_BACKTRACE
11 # endif